# -*- encoding: utf-8 -*-
# stub: uglifier 3.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "uglifier".freeze
  s.version = "3.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Ville Lautanala".freeze]
  s.date = "2016-08-20"
  s.description = "Uglifier minifies JavaScript files by wrapping UglifyJS to be accessible in Ruby".freeze
  s.email = ["lautis@gmail.com".freeze]
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.md".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze]
  s.files = [".document".freeze, ".gitignore".freeze, ".gitmodules".freeze, ".rspec".freeze, ".rubocop.yml".freeze, ".travis.yml".freeze, ".yardopts".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "gemfiles/alaska".freeze, "gemfiles/rubyracer".freeze, "gemfiles/rubyrhino".freeze, "lib/source-map.js".freeze, "lib/uglifier.js".freeze, "lib/uglifier.rb".freeze, "lib/uglifier/version.rb".freeze, "lib/uglify.js".freeze, "spec/source_map_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/uglifier_spec.rb".freeze, "uglifier.gemspec".freeze]
  s.homepage = "http://github.com/lautis/uglifier".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "2.6.8".freeze
  s.summary = "Ruby wrapper for UglifyJS JavaScript compressor".freeze
  s.test_files = ["spec/source_map_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/uglifier_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<execjs>.freeze, ["< 3", ">= 0.3.0"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 10.4"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
      s.add_development_dependency(%q<sourcemap>.freeze, ["~> 0.1.1"])
    else
      s.add_dependency(%q<execjs>.freeze, ["< 3", ">= 0.3.0"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
      s.add_dependency(%q<rake>.freeze, ["~> 10.4"])
      s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
      s.add_dependency(%q<sourcemap>.freeze, ["~> 0.1.1"])
    end
  else
    s.add_dependency(%q<execjs>.freeze, ["< 3", ">= 0.3.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.4"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_dependency(%q<sourcemap>.freeze, ["~> 0.1.1"])
  end
end

